#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'lelang.edit_tender'}
#{/set}
<ol class="breadcrumb" style="background-color: #25B396 !important;">
    <li><a href="@{BerandaCtr.index()}">&{'lelang.home'}</a></li>
    <li><a href="@{devpartner.PaketDpCtr.index()}">&{'lelang.daftar_paket'} </a></li>
    <li class="active">&{'lelang.edit_tender'}</li>
</ol>

<div class="content">
#{alert /}
    <div class="bs-callout bs-callout-info">
        <strong>&{'lelang.penting'}</strong>
        <ol>
            <li>&{'lelang.isian_blm_lengkap'}.</li>
            <li>&{'lelang.e_tender_menyeluruh'}</li>
        </ol>
    </div>
#{form @devpartner.LelangDpCtr.simpan(lelang.lls_id), id:'formEditLelang'}
    <table class="table table-bordered table-condensed">
        <tr>
            <th class="bg-warning" width="300">&{'lelang.kode_tender'}</th>
            <td style="width:350px">${lelang.lls_id}</td>
            <th class="bg-warning" width="200">&{'lelang.nilai_hps'}</th>
            <td>${nilaiHps.rupiah()}</td>
        </tr>
        <tr>
            <th class="bg-warning">&{'lelang.nama_paket'}t</th>
            <td colspan="3">
            ${lelang.namaPaket}
			#{statusTenderDp lelang/}
            </td>
        </tr>
        #{if lelang.lelangUlang}
            <tr>
                <th class="bg-warning">&{'lelang.alasan_pembatalan'}</th>
                <td colspan="3">${lelang.lls_ditutup_karena}</td>
            </tr>
            <tr>
                <th class="bg-warning">&{'lelang.tender_ke_jika'}</th>
                <td colspan="3">${lelang?.lls_versi_lelang}</td>
            </tr>
        #{/if}
        <tr>
            <th class="bg-warning">&{'lelang.metode_pengadaan'}</th>
            <td colspan="3">#{if draft}<a href="@{devpartner.LelangDpCtr.metode(lelang.lls_id)}" class="badge dialog"
                                           title="&{'tag.ubah_sistem_pengadaan'}">#{/if}${kategori.nama}
                - ${lelang.metode.kualifikasi.label} - ${lelang.metode.dokumen.label}
                - ${lelang.metode.evaluasi.label}#{if draft}</a>#{/if}</td>
        </tr>
        <tr id="jadwal-lelang">
            <th class="bg-warning">&{'doc.tender.jadwal'}</th>
            <td colspan="3">#{if draft}<a href="@{devpartner.JadwalDpCtr.list(lelang.lls_id)}"
                                          class="badge">${ketJadwal}</a>#{/if}#{else} ${ketJadwal} #{/else}</td>
        </tr>
        #{if lelang.metode.evaluasi.qcbs}
            <tr>
                <th class="bg-warning">&{'lelang.bobot_teknis'}</th>
                <td colspan="3">
                    #{if draft}
                        <input type="number" max="100" min="0" step="0.1" name="bobot_teknis" value="${lelang.lls_bobot_teknis}" style="width: 60px"/>
                    #{/if}
                    #{else}
                    ${lelang.lls_bobot_teknis}
                    #{/else}
                    &nbsp;%
                </td>
            </tr>
            <tr>
                <th class="bg-warning">&{'lelang.bobot_biaya'}</th>
                <td colspan="3">
                    #{if draft}
                        <input type="number" max="100" min="0" step="0.1" name="bobot_biaya" value="${lelang.lls_bobot_biaya}" style="width: 60px"/>
                    #{/if}
                    #{else}
                    ${lelang.lls_bobot_biaya}
                    #{/else}
                    &nbsp;%
                </td>
            </tr>
        #{/if}
        #{if lelang.metode.evaluasi.nilai}
            <tr>
                <th class="bg-warning">&{'lelang.passing_grade'}</th>
                <td colspan="3">
                    #{if draft}
                        <input type="number" max="1000" min="0" step="0.1" name="passing_grade" value="${lelang.lls_passinggrade}" style="width: 60px"/>
                    #{/if}
                    #{else}
                    ${lelang.lls_passinggrade}
                    #{/else}
                </td>
            </tr>
        #{/if}
        <tr>
            <th class="bg-warning">&{'lelang.jenis_kontrak'}</th>
            <td colspan="3">
                #{if draft}
                    #{selectKontrakPembayaranDp 'lelang.lls_kontrak_pembayaran', value:lelang.lls_kontrak_pembayaran, lelang:lelang/}
                #{/if}
                #{else}
                    &{lelang.kontrakPembayaran?.label}
                #{/else}
            </td>
        </tr>
        <tr>
            <th class="bg-warning">&{'lelang.tahun_anggaran'}</th>
            <td colspan="3">
                #{if draft}
                    #{selectKontrakTahunDp 'lelang.lls_kontrak_tahun', value:lelang.lls_kontrak_tahun/}
                #{/if}
                #{else}
                    &{lelang.kontrakTahun?.label}
                #{/else}
            </td>
        </tr>
        <tr>
            <th class="bg-warning">&{'lelang.sumber_dana'}</th>
            <td colspan="3">
                #{if draft}
                    #{selectSumberDanaDp 'lelang.lls_kontrak_sbd', value:lelang.lls_kontrak_sbd, lelang:lelang/}
                #{/if}
                #{else}
                    ${lelang.sumberDana?.label}
                #{/else}
            </td>
        </tr>
        #{if lelang.metode.panel }
        <tr>
            <th class="bg-warning">&{'lelang.panel_for'}</th>
            <td colspan="3">
                #{if draft}
                    #{selectPanel 'panelId', value:panel?.pnl_id/}
                #{/if}
                #{else}
                    ${panel?.panel?.nama_panel}
                #{/else}
            </td>
        </tr>
        #{/if}
        #{if lelang.metode.hasReoiSummary()}
            <tr>
                <th class="bg-warning">${lelang.reoiSummaryLabel}</th>
                <td colspan="3">
                    <div class="panel panel-info">
                        <div class="panel-heading">${lelang.reoiSummaryLabel}
                            #{if allow_upload_reoi_summary}
                                <a class="dialog pull-right badge" href="@{devpartner.DokumenDpCtr.upload(dok_reoi_summary?.dll_id,
                                    models.devpartner.DokLelangDp.JenisDokLelang.DOKUMEN_REOI_SUMMARY.value)}"
                                   title="Kirim Dokumen REOI Summary" id="btnUploadDokReoiSummary">Upload</a>
                            #{/if}
                            #{if dok_reoi_summary?.dll_id_attachment}
                                <a href="${dok_reoi_summary.downloadUrl}" class="pull-right badge">
                                    <i class="fa fa-file"></i> ${lelang.reoiSummaryLabel}
                                </a>
                            #{/if}
                        </div>
                    </div>
                    <div id="alert-dok-reoi-summary" style="margin-top: 10px;"></div>
                </td>
            </tr>
        #{/if}
        #{if lelang.metode.hasReoi()}
            <tr>
                <th class="bg-warning">${lelang.reoiLabel}</th>
                <td colspan="3">
                    <div class="panel panel-info">
                        <div class="panel-heading">${lelang.reoiLabel}
                            #{if allow_upload_reoi}
                                <a class="dialog pull-right badge" href="@{devpartner.DokumenDpCtr.upload(dok_reoi?.dll_id,
                                models.devpartner.DokLelangDp.JenisDokLelang.DOKUMEN_REOI.value)}"
                                   title="Kirim Dokumen Eoi" id="btnUploadDokReoi">Upload</a>
                            #{/if}
                            #{if dok_reoi?.dll_id_attachment}
                                <a href="${dok_reoi.downloadUrl}" class="pull-right badge">
                                    <i class="fa fa-file"></i> ${lelang.reoiLabel}
                                </a>
                            #{/if}
                        </div>
                    </div>
                    <div id="alert-dok-reoi" style="margin-top: 10px;"></div>
                </td>
            </tr>
        #{/if}
        <tr>
            <th class="bg-warning">${lelang.dokLelangLabel}</th>
            <td colspan="3">
                <div class="panel panel-info">
                    <div class="panel-heading">${lelang.dokLelangLabel}
                        #{if allow_upload_dok}
                            <a class="dialog pull-right badge" href="@{devpartner.DokumenDpCtr.upload(dok_lelang?.dll_id,
                            models.devpartner.DokLelangDp.JenisDokLelang.DOKUMEN_LELANG.value)}"
                               title="Dokumen Lelang" id="btnUploadDokTender">Upload</a>
                        #{/if}
                        #{if dok_lelang?.dll_id_attachment}
                            <a href="${dok_lelang.downloadUrl}" class="badge pull-right">
                                <i class="fa fa-file"></i> ${lelang.dokLelangLabel}
                            </a>
                        #{/if}
                    </div>
                </div>
                <div id="alert-dok" style="margin-top: 10px;"></div>
            </td>
        </tr>
        <tr>
            <th class="bg-warning">&{'doc.tambahan'}</th>
            <td colspan="3">
                <div class="panel panel-info">
                    <div class="panel-heading">&{'doc.tambahan'}
                        #{if allow_upload_tambahan}
                            <a class="dialog pull-right badge" href="@{devpartner.DokumenDpCtr.upload(dok_tambahan?.dll_id,
                            models.devpartner.DokLelangDp.JenisDokLelang.DOKUMEN_TAMBAHAN.value)}"
                               title="Dokumen Lelang" id="btnUploadDokTambahan">Upload</a>
                        #{/if}
                        #{if dok_tambahan?.dll_id_attachment}
                            <a href="${dok_tambahan.downloadUrl}" class="badge pull-right">
                                <i class="fa fa-file"></i> &{'doc.tambahan'}
                            </a>
                        #{/if}
                    </div>
                </div>
                <div id="alert-dok" style="margin-top: 10px;"></div>
            </td>
        </tr>
        #{if lelang.lelangUlang}
            <tr>
                <th class="bg-warning">&{'lelang.diulang_karena'}<span class="warning"> *</span></th>
                <td colspan="5">dok
                    <div style="width:50%;"><textarea rows="4" cols="20" name="lelang.lls_diulang_karena"
                                                      class="form-control" #{if !draft}
                                                      disabled="disabled" #{/if}>${lelang?.lls_diulang_karena}</textarea>
                    </div>
                </td>
            </tr>
        #{/if}
        #{if draft}
            <tr>
                <td class="bg-warning">&nbsp;</td>
                <td colspan="3">
                    #{saveButton id:'simpan' /}
                </td>
            </tr>
        #{/if}
    </table>
#{/form}

<div class="panel panel-info">
    <div class="panel-heading"><b>&{'lelang.status_persetujuan'}</b></div>
#{persetujuanListDp lelang.lls_id, pemenang:false /}
</div>
#{if allow_persetujuan}
<div class="panel panel-info">
    <div class="panel-heading"><b>&{'lelang.persetujuan'}</b></div>
<div class="panel-body">
#{form @devpartner.PersetujuanDpCtr.pengumuman(lelang.lls_id), id:'form-persetujuan', 'data-alert':'true'}
    #{paktaIntegritas active_user:active_user/}
    <div class="form-group #{errorClass 'alasan'/}">
        <label><b>&{'lelang.alasan_tidak_setuju'}</b></label>
        <textarea id="alasan" name="alasan" rows="4" cols="50"
                  class="form-control">${lelang.findPersetujuan(active_user.pegawaiId, false)?.alasan}</textarea>
        <span class="help-block">#{error 'alasan' /}</span>
        <span class="help-block" id="alasan-not-html"
              style="display:none; color:red; font-weight:bold;">&{'lelang.no_tag_html'}</span>
    </div>
    <button type="submit" name="setuju" id="setuju" value="true" class="btn btn-primary">&{'lelang.setuju'}</button>
    <button type="submit" name="setuju" id="tidak-setuju" value="false"
            class="btn btn-danger">&{'lelang.tidak_setuju'}</button>
#{/form}
</div>
</div>
</div>
#{/if}
#{if allowBatalPersetujuan}
<a href="@{devpartner.PersetujuanDpCtr.batalPersetujuanPengumuman(lelang.lls_id)}"
   onclick="return confirm('Apakah Anda yakin untuk membatalkan Persetujuan Anda?')"
   class="btn btn-danger">&{'lelang.pembatalan_persetujuan'}
</a>
#{/if}
#{if lelang_ulang}
<div class="alert alert-warning">&{'lelang.pastikan_alasan_mengulang'}</div>
#{/if}
</div>

#{set 'custom_script'}
<script type="text/javascript">
    $(document).on('click', '#btnUploadDokreoiSummary, #btnUploadDokReoi, #btnUploadDokTender', function () {
        $.post('@{devpartner.LelangDpCtr.simpan(lelang.lls_id)}', $('#formEditLelang').serialize())
    });

    #{if allow_persetujuan}
    //pengaturan untuk tombol setuju dan tidak setuju
    $(document).ready(function () {
        btnPersetujuan($("#alasan"));
    });
    $(document).on('keyup', '#alasan', function () {
        btnPersetujuan(this);
        let adaHtml = hasHtml($(this).val());
        if (adaHtml)
            $("#alasan-not-html").show();
        else
            $("#alasan-not-html").hide();
    });

    function hasHtml(txt) {
        return /<\/?[^>]*>/gi.test(txt);
    }

    function btnPersetujuan(e) {
        var val = $(e).val();
        if (val != "" && !hasHtml(val)) {
            $("#setuju").attr("disabled", true);
            $("#tidak-setuju").attr("disabled", false);
        } else {
            $("#setuju").attr("disabled", false);
            $("#tidak-setuju").attr("disabled", true);
        }
    }
    #{/if}
</script>
#{/set}
